Subject: RE: iSCSI: DLB-T.16 (resource requirement for connection reinsta tement)

From: "Julian Satran" <[email-masked]>
Date: Sun, 14 Jul 2002 16:55:47 +0300

OOps - meant to say SHOULD for 1 or 0 - I will fix it. Julo

[email-masked]
07/14/2002 10:08 AM
Please respond to Black_David

        To:     Julian Satran/Haifa/IBM@IBMIL
        cc: 
        Subject:        RE: iSCSI: DLB-T.16  (resource requirement for connection reinsta tement)

Ok with me.  --David
 
-----Original Message-----
From: Julian Satran [mailto:[email-masked]]
Sent: Sunday, July 14, 2002 2:27 AM
To: [email-masked]
Subject: RE: iSCSI: DLB-T.16 (resource requirement for connection reinsta tement)

David, 

Mallikarjun was only saying that 4.3.4 is the RIGHT PLACE to say that a 
second connection MUST be supported 
IF ErrorRecoveryLevel is higher than 0. 

I would suggest: 

Targets MUST support opening a second connection even when they do not 
support multiple connections in Full Feature Phase if ErrorRecoveryLevel 
is 2 and SHOULD support opening a second con-nection if ErrorRecoveryLevel 
is 1. 

Julo 

[email-masked] 
Sent by: [email-masked] 
07/10/2002 10:56 AM 
Please respond to Black_David 
        
        To:        [email-masked], [email-masked] 
        cc:         
        Subject:        RE: iSCSI: DLB-T.16  (resource requirement for 
connection reinsta        tement) 

Mallikarjun,

I think this ought to be related to ErrorRecoveryLevel - it looks like
you're suggesting that connection reinstatement SHOULD be supported
at ErrorRecoveryLevel 0 - at 1 and above, I believe it's already a
MUST.  I don't have a problem with that, does anyone else?

Thanks,
--David

> -----Original Message-----
> From: Mallikarjun C. [mailto:[email-masked]]
> Sent: Tuesday, July 09, 2002 2:52 PM
> To: [email-masked]
> Subject: iSCSI: DLB-T.16 (resource requirement for connection
> reinstatement)
> 
> 
> > [T.16] 4.3.4  Connection reinstatement
> > 
> >    Targets should support opening a second connection even 
> >    when they do not support multiple connections in Full Feature 
Phase. 
> > 
> > Looks like that ought to be an upper case "SHOULD".  I think this 
needs
> > further discussion.  Section 5.2 appears to use a lower case "must"
> > for this:
> 
> Let's be careful here - section 5.2 discusses the generic case of
"connection 
> cleanup" - that includes both implicit and explicit logouts - whereas
"connection 
> reinstatement" is just implicit logout.
> 
> While "connection cleanup" does not require additional connection
resources
> in the general case, a target wanting to support connection 
reinstatement
SHOULD
> support *opening* a second connection (though it may reject the Login if
it's
> for a different CID).
> 
> I believe that connection reinstatement is a useful functionality that 
the
targets 
> SHOULD support, so I agree that the change suggested by David is a
reasonable 
> one to make in 4.3.4 which only discusses connection reinstatement.
> 
> Mallikarjun
>